commit: 485035be04152b9e094d3edb76e07a1560c59669
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 19 04:58:50 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jul 19 05:41:28 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=485035be
dev-python/boto3: Bump to 1.39.9
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/boto3/Manifest | 1 +
dev-python/boto3/boto3-1.39.9.ebuild | 53 ++++++++++++++++++++++++++++++++++++
2 files changed, 54 insertions(+)
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 8fa1cc7423f9..b9436a15f303 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,3 +4,4 @@ DIST boto3-1.39.4.gh.tar.gz 967954 BLAKE2B
5e63cfb5c2381605475c928c4aec6cf303b99
DIST boto3-1.39.5.gh.tar.gz 969544 BLAKE2B
5be7e1aadcbc78a16b48301a7703d8cdbfabede67a07e5f4d7f835991f85a7436dd76fd3b7bd2cbd0aa3935fe80d1ae3446e559a7c7a9daec60464cbfd1b7c4c
SHA512
85d725a10888b0ef95a65cb1a5c0470fb5ae22f8f629e5fdc1266dfaf025abe4e17b1ea811858c162a7cac00326d1212ce07004108dfc4af54305a780545b8de
DIST boto3-1.39.7.gh.tar.gz 970700 BLAKE2B
138d961a314d33d1d68e9ed01784cf355025ffe7dc23de04b13d245827570d93a11b2f35d0a72442717f9eca566e4e4a8882d6382fda2a7b5e49d6cf0328012e
SHA512
b60ed1b00a2431a4b335ff43d7bb05c3b37685ff3610ad4432b24e7984374f36f3c20276c642b92fafc42c134590850e7abaab25d099a63d46e53c823d34901b
DIST boto3-1.39.8.gh.tar.gz 971273 BLAKE2B
964d0871c2eb4e7497e505ee9530726cda6fdb2712fb0eb9b65c5323f64dea299924b27229c49331744c56451b5937a0bb8f345bc622d31b6df132e5d4a2eeba
SHA512
bf565580be8ab35c1677e484619afcf1085dbe99d5ffe60002fb0ec25d0c903f2634d5a7b0e34fae9835710e81eb1f4a64330b57d4be00edc9d27d902757e015
+DIST boto3-1.39.9.gh.tar.gz 971951 BLAKE2B
d77a87e3035a2797ff67d49c3df329836c51b305c72f8ce01445b668802aa1a529424e744ddd18e142cd35a0680be51383b56512dca115506a1a0f4860657b47
SHA512
c6df821d3558ca1d234a4a1dea231467c0935dff7c34e6eb01b067d4d2396024308f70218a621064b111359bc5197b191bc8f4a099bcfcc5f4d5bf174ba859b0
diff --git a/dev-python/boto3/boto3-1.39.9.ebuild
b/dev-python/boto3/boto3-1.39.9.ebuild
new file mode 100644
index 000000000000..bd6e26787db4
--- /dev/null
+++ b/dev-python/boto3/boto3-1.39.9.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86
~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.13.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}